Is Sky3ds my last hope for my o3ds?

Discussion in '3DS - Flashcards & Custom Firmwares' started by sykezlol, Sep 19, 2015.

  1. sykezlol
    OP

    sykezlol Member

    Newcomer
    25
    1
    Sep 18, 2015
    Hi everyone.

    Ever since I tried modding my o3ds I've been having one problem after another.

    My nand version is 8.0.0-18E
    my emunand version is 10.1.0-20e

    rxtools can't inject FBI because it cant find H&S anywhere. I've tried the manual injections (https://gbatemp.net/threads/release...ect-generator-jpn-usa-eur-chn-kor-twn.391525/) but that tells me my fat16.xorpad is invalid.

    I really would like to mod it and play games on it, but is buying a sky3ds really my only hope? And will it even work when the gateway/rxtools for some reason doesn't work?

    I am also considering buying a new o3ds. My friend has one with same nand version as mine though, so I am not sure if I will run into the same problem with FBI injection and H&S app. Hopefully anyone can share their opinion on this.

    My old thread with unsolved solution:https://gbatemp.net/threads/rxtools-2-6-h-s-possible-error-looking-for-advice.397595/

    Thanks guys
     
  2. Philip3ds

    Philip3ds GBAtemp Regular

    Member
    183
    42
    May 13, 2015
    Did you use rxTools to generate the fat 16 xorpad?
     
    Last edited by Philip3ds, Sep 19, 2015
  3. lemanuel

    lemanuel Maxconsole's All-Knowing Lurker

    Member
    2,095
    1,093
    Dec 11, 2014
    Portugal
    You can use the browser to boot into rxTools for example, can't you?
    If so, you can of course also use GW which will makes installing any .cia version of a CIA installer much easier since you can use a .3ds CIA installer first.
     
  4. sykezlol
    OP

    sykezlol Member

    Newcomer
    25
    1
    Sep 18, 2015
    Yes, I used rxtools nightlies to generate it.

    I can boot into rxTools with the browser, yes.
    I can access GW too, but I am not sure what you mean with installing any version of .cia - I thought FBI was the goto cia?
     
  5. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,289
    5,314
    Mar 17, 2010
    Norway
    Alola
    A Gateway will work. You can also downgrade to 4.x and use Palantine CFW or PBT-CFW to get a CIA manager installed since those use another method. They are however very unstable and it will take many tries and power cycling of the 3DS before it works, but you only need to make it work once. It may take a couple hours to make it work.
     
    lemanuel likes this.
  6. lemanuel

    lemanuel Maxconsole's All-Knowing Lurker

    Member
    2,095
    1,093
    Dec 11, 2014
    Portugal
    FBI is a CIA installer. There are others. The problem with CFW is that they can't use roms/apps in .3ds format (the one for flashcarts).
    So the only way to first use a CIA installer is by installing/injecting FBI. From then on, you can use FBI to install any other cia you might want.

    But since GW is not simply a CFW but has a flashcart, you can use any CIA installer (FBI, BBM, etc) in .3ds format and install CIAs like that.
     
  7. sykezlol
    OP

    sykezlol Member

    Newcomer
    25
    1
    Sep 18, 2015
    Ah I see. Do you have a link to a guide where I can read how to do this? I began with rxtools yesterday on my 3ds, so I'm still fairly new. When I boot in to GW3.4.1, do I press "BOOT GATEWAY MODE" to install those?

    — Posts automatically merged - Please don't double post! —

    I lack technical understandings of these things you just said. I'll have to read up on it first. Do you have any links I can go from? Thanks
     
  8. lemanuel

    lemanuel Maxconsole's All-Knowing Lurker

    Member
    2,095
    1,093
    Dec 11, 2014
    Portugal
    You need to have GW flashcart to use it.
    But yes, you would have to boot into GW Mode and the using the multirom menu which would show you the roms stored in the mSD card for the GW flashcart
     
  9. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,289
    5,314
    Mar 17, 2010
    Norway
    Alola
    You'll need a Gateway cart to use Gateway Mode.
    As for the other questions, I am on my phone right now but I know there's a tutorial or two floating around.
     
  10. sykezlol
    OP

    sykezlol Member

    Newcomer
    25
    1
    Sep 18, 2015
    Alright. Those are priced same as sky3ds though, I wanted to see if I could do it without paying 100$, but I'm starting to realise this might not be so easy
     
  11. lemanuel

    lemanuel Maxconsole's All-Knowing Lurker

    Member
    2,095
    1,093
    Dec 11, 2014
    Portugal
    Not sure where you're checking but GW is always cheaper than Sky in most stores. it should be around $60 I believe.
     
  12. sykezlol
    OP

    sykezlol Member

    Newcomer
    25
    1
    Sep 18, 2015
    You're right. The sky3ds is 80 euro, the gateway is 55 euro.

    This is what I want, right? https://www.playmods.co.uk/en/gateway-3ds-ultra.html

    Also, is GW > Sky3ds? Should I just cash out the extra 25 euro or?
     
  13. lemanuel

    lemanuel Maxconsole's All-Knowing Lurker

    Member
    2,095
    1,093
    Dec 11, 2014
    Portugal
    Yeah, that's it. And yes, GW is better than Sky3DS if you're on 9.2 or below, which is your case.
    It works just like a CFW but with the flashcart. Sky3DS is a flashcart that only emulates a real cartridge which means no modified roms and no region free (directly).
     
  14. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,289
    5,314
    Mar 17, 2010
    Norway
    Alola
    GW is far better than Sky.
    Anyway, try following this guide for rxTools:
    http://gbatemp.net/threads/tutorial-installing-rxtools-custom-firmware-3ds-and-2ds.390867/
    In particular the section where it tells you to create a blank ticket.db and import.db. I have a feeling that this is the reason FBI injection doesn't work for you. But it might be a good idea to start over from the beginning of that guide.

    If that doesn't help, you can try this guide for Palantine CFW:
    http://gbatemp.net/threads/tutorial...stall-cfw-without-owning-gateway-card.378256/
     
    Last edited by The Real Jdbye, Sep 19, 2015
    samiam144 and lemanuel like this.
  15. sykezlol
    OP

    sykezlol Member

    Newcomer
    25
    1
    Sep 18, 2015
    Tried the guide for rxTools. Went out and bought a new SD card, started the guide over and followed it closely. I created ticket.db, import.db etc. Still same error with "Missing Health & safety info" when trying to install FBI :/

    I will try the Palantine CFW now and get back. I appreciate your help.
     
  16. honyo29

    honyo29 GBAtemp Fan

    Member
    303
    94
    Nov 27, 2014
    Indonesia
    with your 3ds version, sky shouldn't even be an option.
    try any cfw you can find, and gw can be your last resort. installing fbi/devmen is a lot easier with gw red cart.
     
  17. Philip3ds

    Philip3ds GBAtemp Regular

    Member
    183
    42
    May 13, 2015
    Have you tried injecting FBI into your sysnand?
     
  18. sykezlol
    OP

    sykezlol Member

    Newcomer
    25
    1
    Sep 18, 2015
    Honestly, I'm really burned out by now. I've spent 2 days trying all different approaches to get the FBI working, and each time I get "Missing Health & Safety info!" - At this point I'm more likely to just cash out 80 euro for the GW card. :(

    Yes, same issue as with emunand
     
  19. samiam144

    samiam144 RĂ©gulier

    Member
    2,871
    936
    Aug 19, 2007
    Canada
    Does your H&S Information app launch properly?

    Also, do you have a cartridge than can update you to 7.X or higher?

    I suspect maybe your H&S app is messed up; I think if you downgrade to 4.X then inject, it will work. Then you can update back with a cartridge or sysupdater.

    Edit: Just a thought, maybe launch the app once and try letting rxtools find the app version again. I doubt this would make a difference though..
     
    Last edited by samiam144, Sep 20, 2015
  20. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,289
    5,314
    Mar 17, 2010
    Norway
    Alola
    GW is under 60 dollars on eachmall, plus you get a discount code for signing up, it's the cheapest price you'll find. It's nice to be able to run .3ds roms, and not have to wait for slow cia installs every time you want to add more games, so it's not a bad idea to get one anyway, but the Palantine CFW method will work as long as you have the patience for it :)
     
    lemanuel likes this.